#pragma once
#include <map>
struct M_VipPointsMallCFGData
{
	//编号
	int mID;
	//需要vip等级
	int mVipLevel;
	//物品描述
	std::string mItemDesc;
	//道具ID
	int mItemId;
	//道具数量
	int mItemCount;
	//每日库存
	int mDailyStock;
	//需要积分数量
	int mVipNtegralCount;
};

class M_VipPointsMallCFG
{
public:
private:
	static std::auto_ptr<M_VipPointsMallCFG> msSingleton;
public:
	int GetCount();
	const M_VipPointsMallCFGData* GetData(int ID);
	const std::map<int, M_VipPointsMallCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_VipPointsMallCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_VipPointsMallCFGData> mMapData;
};
